<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Documento sin título</title>
<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
<link href="objetos.css" rel="stylesheet" type="text/css">
<script src="o4.js"></script>
</head>

<body>
<div class="cajas entrada">
<pre>
	class Operaciones{
		/* metodo que se va a ejecutar nada mas crear el objeto */
		constructor(num1,num2){
			this.num1=num1;
			this.num2=num2;
			this.resultado=0;
		}
		
		sumar(){
			this.resultado=this.num1+this.num2;
		};
		
		restar(){
			this.resultado=this.num2-this.num1;
		};
		
		producto(){
			this.resultado=this.num2*this.num1;
		};
	
		get resultado(){
			return this.resultado + "cm";
		};
	};
	
	var operacion1=new Operaciones(1,2);
	console.log(operacion1.num1);
	console.log(operacion1.sumar());
	console.log(operacion1.resultado);
	console.log(operacion1.restar());
	console.log(operacion1.resultado);
	
	operacion1.setNum1(10).num2=5;
</pre>
</div>
<div class="cajas salida" >
<div class="titulo">
Ejercicio 4
</div>
<div class="explicacion">
Utilizamos el constructor para inicializar y utilizamos los getter y setter y el patron fluent
</div>
</div>
</body>
</html>
